Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class Assertion

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.Assertion

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class Assertion

extends Object
implements Serializable

Java class for AssertionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AssertionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Issuer"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Subject" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Conditions" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Advice" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Statement"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnStatement"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthzDecisionStatement"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AttributeStatement"/>
             </choice>
           </sequence>
           <attribute name="Version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Assertion()`

Method Summary
`Advice` | `getAdvice()` Gets the value of the advice property.
`Conditions` | `getConditions()` Gets the value of the conditions property.
`String` | `getID()` Gets the value of the id property.
`org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
`NameIDType` | `getIssuer()` Gets the value of the issuer property.
`Signature` | `getSignature()` Gets the value of the signature property.
`List<StatementAbstractType>` | `getStatementsAndAuthnStatementsAndAuthzDecisionStatements()` Gets the value of the statementsAndAuthnStatementsAndAuthzDecisionStatements property.
`Subject` | `getSubject()` Gets the value of the subject property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setAdvice(Advice value)` Sets the value of the advice property.
`void` | `setConditions(Conditions value)` Sets the value of the conditions property.
`void` | `setID(String value)` Sets the value of the id property.
`void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
`void` | `setIssuer(NameIDType value)` Sets the value of the issuer property.
`void` | `setSignature(Signature value)` Sets the value of the signature property.
`void` | `setSubject(Subject value)` Sets the value of the subject property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assertion

    public Assertion()

Method Detail

### getIssuer

    public NameIDType getIssuer()

  Gets the value of the issuer property.

  Returns:
    possible object is `NameIDType`

### setIssuer

    public void setIssuer(NameIDType value)

  Sets the value of the issuer property.

  Parameters:
    `value` - allowed object is `NameIDType`

### getSignature

    public Signature getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is `Signature`

### setSignature

    public void setSignature(Signature value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `Signature`

### getSubject

    public Subject getSubject()

  Gets the value of the subject property.

  Returns:
    possible object is `Subject`

### setSubject

    public void setSubject(Subject value)

  Sets the value of the subject property.

  Parameters:
    `value` - allowed object is `Subject`

### getConditions

    public Conditions getConditions()

  Gets the value of the conditions property.

  Returns:
    possible object is `Conditions`

### setConditions

    public void setConditions(Conditions value)

  Sets the value of the conditions property.

  Parameters:
    `value` - allowed object is `Conditions`

### getAdvice

    public Advice getAdvice()

  Gets the value of the advice property.

  Returns:
    possible object is `Advice`

### setAdvice

    public void setAdvice(Advice value)

  Sets the value of the advice property.

  Parameters:
    `value` - allowed object is `Advice`

### getStatementsAndAuthnStatementsAndAuthzDecisionStatements

    public List<StatementAbstractType> getStatementsAndAuthnStatementsAndAuthzDecisionStatements()

  Gets the value of the statementsAndAuthnStatementsAndAuthzDecisionStatements property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the statementsAndAuthnStatementsAndAuthzDecisionStatements property.

  For example, to add a new item, do as follows:

          getStatementsAndAuthnStatementsAndAuthzDecisionStatements().add(newItem);

  Objects of the following type(s) are allowed in the list `StatementAbstractType` `AuthnStatement` `AuthzDecisionStatement` `AttributeStatement`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getID

    public String getID()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setID

    public void setID(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getIssueInstant

    public org.joda.time.DateTime getIssueInstant()

  Gets the value of the issueInstant property.

  Returns:
    possible object is `String`

### setIssueInstant

    public void setIssueInstant(org.joda.time.DateTime value)

  Sets the value of the issueInstant property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.